/************************************************************************/
/* gtkdbutil.h - GTK Specific functions in libdbutil			*/
/************************************************************************/
/* dbutil
 * Copyright (C) 1999-2001  Todd Shadburn
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
/************************************************************************/
/* History:																*/
/* (04-24-2001) Convert to using GString for the SQL statements.Todd.	*/
/* (04-14-2001) Original creation date(from dbutil.h).Todd Shadburn		*/
/************************************************************************/

#ifndef _GTKDBUTIL_H_
#define _GTKDBUTIL_H_

#include <glib.h>
#include <dbutil.h>
#include <gtk/gtkoptionmenu.h>

void
dbutil_gtk_table_sync_with_gui(dbtable_t *dbtable);

void
dbutil_gtk_field_clear(dbfield_t *dbfield);

void
dbutil_gtk_field_fill(dbfield_t *dbfield, gchar *data);

void
dbutil_gtk_table_clear_fields(dbtable_t *dbtable);

void
dbutil_gtk_table_fill_fields(dbtable_t *dbtable, gchar **data);

void
dbutil_gtk_table_set_fields_sensitive(dbtable_t *dbtable, gboolean sensitive);

void
dbutil_gtk_relationset_sync_with_gui(dbrelationset_t *dbrelationset);

sqlhandle_t *
dbutil_gtk_relationset_multirow_start(dbrelationset_t *relationset,
				gchar *primarytable,
				gint statementtype);

gint
dbutil_gtk_relationset_multirow_next(sqlhandle_t *handle);

void
dbutil_gtk_relationset_multirow_free(sqlhandle_t *handle);

gint
gtk_option_menu_get_active(GtkOptionMenu *option_menu);

gint
gtk_option_menu_set_active(GtkOptionMenu *option_menu, gint index);

gchar *
gtk_option_menu_get_active_text(GtkOptionMenu *option_menu);

#endif

